package com.gyee.redis2taos.controller;

import com.gyee.redis2taos.service.RedisService;
import com.gyee.redis2taos.service.TaosService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController("/taos")
public class TaosController {

    @Autowired
    private RedisService redisService;
    @Autowired
    private TaosService taosService;

    //TODO 升级用mybatis-plus

    @GetMapping("/database/create")
    private boolean stableCreat(int keepday) {
        try {
            return taosService.createDataBase(keepday);
        } catch (Exception e) {
            e.printStackTrace();
        }
        return false;
    }

    @GetMapping("/stable/create")
    private void stableCreat() {
        try {
            taosService.createStables();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @GetMapping("/table/create")
    private void tableCreat() {
        try {
            taosService.createTables();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @GetMapping("/table/create2")
    private void tableCreat2() {
        try {
            redisService.creatTables();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @GetMapping("/table/delete")
    private void tableDelete() {

    }

    @GetMapping("/table/update")
    private void tableUpdate() {

    }

    @GetMapping("/table/select")
    private void tableSelect() {

    }
}
